# API

## Balance Endpoint
```text
https://balance.api.global
```
api.global uses a balancing endpoint to balance clients between dynamic workers. The balance endpoint will assign you a dynamic endpoint,a secret that proves you got assigned that endpoint, a max timeframe that the worker is guranteed to be available and a max idle timeframe between requests, before your spot is given to the next api client balancing applicant. You can always come back here and ask for a new worker assignment.


## Async Endpoint
```text
https://async.api.global
```
For requests that are not sensitive for timely execution there is a async endpoint, that will schedule an request for "later point in time" exection. Any requests going there need to register a webhook within their account for transmitting responses in an asynchronious fashion.

## Worker Endpoints
```
https://[4chd76gf].api.global
```
Worker endpoints are assigned to you on a dynamic basis

!!! hint
    If you are using TypeScript we can not recommend enough to use our TypeScript npm packages for super easy integration.
    They are maintained by us ourselves and hide most complex stuff from you so you can focus on using the tools.
